package ru.yandex.webmaster3.storage.importer.model;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Created by Oleg Bazdyrev on 20/09/2020.
 */
@AllArgsConstructor
public enum ImportStage {
    INIT(false),
    PREPROCESS(false),
    IMPORTING(false),
    POSTPROCESS(false),
    CLEAR(false),
    SWITCH(false),
    DONE(true),
    FAILED(true),
    ;

    @Getter
    private final boolean terminal;
}
